classdef MpSortMode < uint32
  % MpSortMode
  %   Mixed pixel sort mode. The mode you want to use depends on your
  %   application.
  %

  enumeration
    DARKEST (0) % Choose darkest path
    SHORTEST (1) % Return the surface of a translucent object, resolve corners or checkerboard lens flare
    BRIGHTEST (2) % Mixed pixels between foreground and background, get the best SNR
    LONGEST (3) % Correct lens flare from close bright objects
    AGGRESSOR (4) % Correct lens flare
    ADAPTIVE_SHORT_V0 (5) % Adaptive shortest
    ADAPTIVE_SHORT_V1 (6) % Adaptive shortest version two
    AGGRESSOR_V2 (7) % Correct lens flare version two
  end
end
