function ret_val = transformColor2dToDepth2d(row, col, depth_data, calibration)
  % transformColor2dToDepth2d
  %   Transform a 2D pixel coordinate of the color camera to the 2D pixel
  %   coordinate of the depth camera.
  %
  % Inputs:
  %   row - numeric - Row coordinate
  %   col - numeric - Column cooridnate
  %   depth_data - Data - Depth data containing xyz information, XYZ, XYZAmp,
  %                       XYZBGR and XYZBGRI are all valid
  %   calibration - Calibration - The camera calibration
  %
  % Output:
  %   ret_val - Point2d - 2D pixel coordinate of the depth camera
  %

  ret_val = tof.mex('tof_transform_color_2d_to_depth_2d', row, col, depth_data.get_object_ptr(), calibration.get_object_ptr());
  ret_val = tof.Point2d(ret_val);
end

